#ifndef SPLASHES_H
#define SPLASHES_H

#include "game_data.h"

class Splashes : public QObject
{
Q_OBJECT
public:
	explicit Splashes(Game_Data * gd, QObject *parent = 0);
	bool AddSplash(int srcId, QPointF pos);
	void DelSplash(int Id);
	void update();
signals:

public slots:
	void AddSplash(srcSplashType src, int index, TowerType tw);

private:
	Game_Data *gameData;
	int nextId;
};

#endif // SPLASHES_H
